
function diskr = diskretizace(obraz, pocet_hladin, min,max)

% Funkce diskretizace slouží k překvantování hodnot matice
% Vstupy do funkce:
% obraz - vstupní obraz (matice hodnot)
% pocet_hladin - počet hodnot vystupni matice (od 0 do n-1)
% min, max - meze pro překvantování


[a b] = size(obraz);
out = zeros(a,b);
prahy = zeros(1,pocet_hladin+1);
prahy(1) = min;

for i=1:pocet_hladin
  prahy(i+1) = (abs(min)+abs(max))/pocet_hladin + prahy(i);
end

for i=1:pocet_hladin
    out((obraz>=prahy(i) & obraz < prahy(i+1)) ) = i-1; 
end
out(obraz==max) = i-1;

out(obraz>max) = i-1;
diskr = out;